Get message history
curl --request GET \
--url https://inboxapp.com/api/v2/messages/{messageId}/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://inboxapp.com/api/v2/messages/{messageId}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://inboxapp.com/api/v2/messages/{messageId}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"versions": [
{
"content": "<string>",
"createdAt": "2026-09-14T10:32:00.000Z",
"origin": "inbox"
}
],
"deletion": {
"deletedAt": "2026-09-14T10:32:00.000Z",
"scope": "self",
"origin": "inbox"
},
"times": "platform"
}{
"code": "invalidRequest",
"message": "<string>",
"details": {
"issues": [
{
"path": [
"<string>"
],
"message": "<string>"
}
]
},
"requestId": "<string>"
}{
"code": "unauthorized",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "platformNotAvailable",
"message": "<string>",
"details": {
"platform": "twitter"
},
"requestId": "<string>"
}{
"code": "messageNotFound",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "rateLimited",
"message": "<string>",
"details": {
"window": "minute",
"limit": 123,
"resetAt": "2026-09-14T10:32:00.000Z"
},
"requestId": "<string>"
}{
"code": "internal",
"message": "<string>",
"details": null,
"requestId": "<string>"
}Messages
Get message history
Every version of the message’s content, from its edits.
GET
/
messages
/
{messageId}
/
history
Get message history
Path Parameters
Pattern:
^[0-9a-z]+$Response
MessageHistory
The original first, at the message's createdAt, then each edit.
Show child attributes
Show child attributes
Null while the message isn't deleted.
Show child attributes
Show child attributes
Whether edit and deletion times come from the platform, or are when Inboxapp noticed the change.
Available options:
platform, observed Was this page helpful?